Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1089252 - make check fail. Exception requiring standard library Test::Unit with Minitest v5
Summary: make check fail. Exception requiring standard library Test::Unit with Minites...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-04-18 11:05 UTC by Menanteau Guy
Modified: 2014-05-09 15:37 UTC (History)
4 users (show)

Fixed In Version: subversion-1.8.8-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-09 15:37:36 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2014-04-18 11:05:55 UTC
Description of problem:
I get a problem when trying to make check subversion (arch ppc64le)
Problem occurs during make check-swig-rb

Version-Release number of selected component (if applicable):
subversion-1.8.8-1.fc21
rubygem-minitest-5.3.1-1.fc21
ruby-2.0.0.353-18.fc21 

How reproducible:
always by running
rpmbuild with make check enabled
executing `make check-swig-rb' from the top of the Subversion build tree

Actual results:
if [ "LD_LIBRARY_PATH" = "DYLD_LIBRARY_PATH" ]; then for d in /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby/libsvn_swig_ruby /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby/../../../libsvn_*; do if [ -n "$DYLD_LIBRARY_PATH" ]; then LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$d/.libs"; else LD_LIBRARY_PATH="$d/.libs"; fi; done; export LD_LIBRARY_PATH; fi; \
cd /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby; \
          if [ "2" -eq 1 -a "0" -lt 9 ] ; then \
            /usr/bin/ruby -I /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby \
              /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby/test/run-test.rb \
      --verbose=verbose; \
          else \
    /usr/bin/ruby -I /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby \
      /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby/test/run-test.rb; \
          fi
Warning: you should require 'minitest/autorun' instead.
Warning: or add 'gem "minitest"' before 'require "minitest/autorun"'
From:
  /usr/share/ruby/test/unit.rb:3:in `<top (required)>'
  /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby/test/run-test.rb:22:in `<main>'
MiniTest::Unit::TestCase is now Minitest::Test. From /usr/share/ruby/test/unit/testcase.rb:8:in `<module:Unit>'
/usr/share/ruby/test/unit.rb:670:in `<class:Runner>': undefined method `_run_suite' for class `Test::Unit::Runner' (NameError)
        from /usr/share/ruby/test/unit.rb:255:in `<module:Unit>'
        from /usr/share/ruby/test/unit.rb:9:in `<module:Test>'
        from /usr/share/ruby/test/unit.rb:8:in `<top (required)>'
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
        from /builddir/build/BUILD/subversion-1.8.8/subversion/bindings/swig/ruby/test/run-test.rb:22:in `<main>'
make: *** [check-swig-rb] Error 1

Additional info:
it seems that minitest 5 and test/unit are no more compatible.
please have look to https://github.com/seattlerb/minitest/issues/283

Comment 1 Richard W.M. Jones 2014-04-22 10:33:11 UTC
FYI libguestfs had the same problem in the Ruby bindings, and
ended up rewriting the tests.  Here is the patch:

https://www.redhat.com/archives/libguestfs/2014-April/msg00050.html

Comment 2 Joe Orton 2014-04-23 09:14:43 UTC
This can be fixed with BR: rubygem(minitest) < 5.  I've fired off a build.

Comment 4 Jaromír Cápík 2014-05-09 15:37:36 UTC
1.8.8-3 succeeded with tests on ppc64le ... closing this one


Note You need to log in before you can comment on or make changes to this bug.